# Linux WS20/21

[![Build Status](https://drone.cryptic.systems/api/badges/fh-trier/linux_ws2021/status.svg)](https://drone.cryptic.systems/fh-trier/linux_ws2021)

This repository contains the latex source code of the linux module on the
University of Applied Science for WS20/21.

The document contains all tasks which the students should could solve before
they write their linux exam.

## Compiling the PDF document

There are two ways to compile the PDF document. Since the templates contain all
dependencies to the package `minted`, it is probably easier to use a container
image to compile the document.

To do this, install docker or podman as container runtime and Make as build
tool. If you have docker or podman and Make installed execute `make
container-run/latexmk/index.pdf` to compile the PDF document by using a
container image.

If you don't want to install a container runtime and the build tool make, you
have to install texlive manually - [installation instructions](https://www.tug.org/texlive/).

## make commands

### clean

Deletes all files that were not checked in using git.

```bash
make clean
```

### container-run/latexmk

Uses a docker container to compile the PDF document with `latexmk` By default
the docker container `volkerraschek/container-latex:latest-ubuntu18.04` is used.
However, it can also be modified. The Makefile contains the variables with the
prefix `BUILD_IMAGE` to change the full qualified image path for this purpose.
However, you may have to change the docker command call in `container-run` if
necessary.

```bash
make container-run/latexmk/index.pdf
```

### container-run/pdflatex

Similar to container-run/latexmk/index.pdf, but in the container pdflatex will
be execute instead of latexmk.

```bash
make container-run/pdflatex/index.pdf
```

### latexmk

Executes latexmk natively in the system environment.

```bash
make latexmk/index.pdf
```

### pdflatex

Executes pdflatex natively in the system environment.

```bash
make pdflatex
```
